// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UK2Node_CallArrayFunction.h"
#include "K2Node_CallArrayFunction.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UK2Node_CallArrayFunction::SCW_UK2Node_CallArrayFunction(UK2Node_CallArrayFunction* InK2Node_CallArrayFunction) : SCW_UK2Node_CallFunction(InK2Node_CallArrayFunction), K2Node_CallArrayFunction(InK2Node_CallArrayFunction)
{

}

UK2Node_CallArrayFunction* SCW_UK2Node_CallArrayFunction::ToUK2Node_CallArrayFunction() const
{
	return K2Node_CallArrayFunction;
}

ISCW_UK2Node_CallArrayFunctionPtr SCW_UK2Node_CallArrayFunction::ToUK2Node_CallArrayFunctionPtr()
{
	return GetSharedThisAs<SCW_UK2Node_CallArrayFunction>();
}

ISCW_UK2Node_CallArrayFunctionConstPtr SCW_UK2Node_CallArrayFunction::ToUK2Node_CallArrayFunctionPtr() const
{
	return GetSharedThisAs<SCW_UK2Node_CallArrayFunction>();
}